# class Bundler::UI::Silent

### Attributes

shell[W]

### Public Class Methods

new() click to toggle source

    # File lib/bundler/ui/silent.rb, line 8
    def initialize
      @warnings = []
    end

### Public Instance Methods

add_color(string, color) click to toggle source

    # File lib/bundler/ui/silent.rb, line 12
    def add_color(string, color)
      string
    end

ask(message) click to toggle source

    # File lib/bundler/ui/silent.rb, line 40
    def ask(message)
    end

confirm(message, newline = nil) click to toggle source

    # File lib/bundler/ui/silent.rb, line 19
    def confirm(message, newline = nil)
    end

debug(message, newline = nil) click to toggle source

    # File lib/bundler/ui/silent.rb, line 29
    def debug(message, newline = nil)
    end

debug?() click to toggle source

    # File lib/bundler/ui/silent.rb, line 32
    def debug?
      false
    end

error(message, newline = nil) click to toggle source

    # File lib/bundler/ui/silent.rb, line 26
    def error(message, newline = nil)
    end

info(message, newline = nil) click to toggle source

    # File lib/bundler/ui/silent.rb, line 16
    def info(message, newline = nil)
    end

level(name = nil) click to toggle source

    # File lib/bundler/ui/silent.rb, line 54
    def level(name = nil)
    end

level=(name) click to toggle source

    # File lib/bundler/ui/silent.rb, line 51
    def level=(name)
    end

no?() click to toggle source

    # File lib/bundler/ui/silent.rb, line 47
    def no?
      raise "Cannot ask no? with a silent shell"
    end

quiet?() click to toggle source

    # File lib/bundler/ui/silent.rb, line 36
    def quiet?
      false
    end

silence() { || ... } click to toggle source

    # File lib/bundler/ui/silent.rb, line 60
    def silence
      yield
    end

trace(message, newline = nil, force = false) click to toggle source

    # File lib/bundler/ui/silent.rb, line 57
    def trace(message, newline = nil, force = false)
    end

unprinted_warnings() click to toggle source

    # File lib/bundler/ui/silent.rb, line 64
    def unprinted_warnings
      @warnings
    end

warn(message, newline = nil) click to toggle source

    # File lib/bundler/ui/silent.rb, line 22
    def warn(message, newline = nil)
      @warnings |= [message]
    end

yes?(msg) click to toggle source

    # File lib/bundler/ui/silent.rb, line 43
    def yes?(msg)
      raise "Cannot ask yes? with a silent shell"
    end